### Property

# Gtk BoxLayout:baseline-child

since: 4.12

#### Declaration

    property baseline-child: int [ read, write ]

#### Description [src]

The child that determines the baseline of the box in vertical layout.

If the child does baseline positioning, then its baseline is lined up with the baseline of the box. If it doesn’t, then the bottom edge of the child is used.

Type: | `gint`
Available since: | 4.12

Default value | -1
Getter method | `gtk_box_layout_get_baseline_child()`
Setter method | `gtk_box_layout_set_baseline_child()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no